local function print(x)
	DEFAULT_CHAT_FRAME:AddMessage(x)
end

local function GameTooltip_OnShow()
	local _, itemLink = GameTooltip:GetItem()
	if (itemLink ~= nil) then
		local itemName, _, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture = GetItemInfo(itemLink)
		if (itemName ~= nil) then
			_, _, itemID = string.find(itemLink, "item:(%d+)")
			itemID = tonumber(itemID)
			GameTooltip:AddLine("아이템 레벨:  " .. itemLevel)
			GameTooltip:AddLine("아이템 중첩 갯수:  " .. itemStackCount)
			GameTooltip:AddLine("아이템 ID:  " .. itemID)
			if (GetSellValue ~= nil) then
				if (GetSellValue(itemID) == nil) then
					GameTooltip:AddLine("판매 가격:  nil")
				else
					local SellValue = GetSellValue(itemID)
					local Gold = math.floor(SellValue / 10000)
					local Silver = math.floor((SellValue - (Gold * 10000)) / 100)
					local Copper = math.floor(SellValue - (Gold * 10000) - (Silver * 100))
					GameTooltip:AddLine("아이템 판매 가격:  " .. Gold .. "g " .. Silver .. "s " .. Copper .. "c")
				end
			end
		end
	end
end

Old_GameTooltip_OnShow = GameTooltip:GetScript("OnShow")
GameTooltip:SetScript("OnShow", GameTooltip_OnShow)

print("EWOlson_GetItemInfo loaded.")
